#!/bin/bash
product_list_file=$1
docker exec -i $(docker ps -qf "name=emg-pvs_registrar") python3 /var/www/pvs/dev/pvs_instance/manage.py storage create pvs_testing pvs_testing --type swift --storage-auth auth-cloud-ovh
IFS=","

while read product; do
    docker exec -i $(docker ps -qf "name=emg-pvs_registrar") \
        python3 /registrar.py \
            --objects-prefix $product \
            --service-url $SERVICE_URL \
            --reporting-dir "/mnt/reports" \
            <<<$product

done < "$product_list_file"

pytest

if [ $? -eq 0 ]
then
  echo "Pytest succeded"
  exit 0
else
  echo "Pytest failed" >&2
  exit 1
fi